<?xml version="1.0" encoding="UTF-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/body"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/keypad_blue2"
    android:cacheColorHint="#00000000" >

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_margin="2sp"
        android:background="@drawable/keypad_ncolor" >

        <LinearLayout
            android:id="@+id/layout_stk_search"
            android:layout_width="fill_parent"
            android:layout_height="30sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="4sp"
            android:layout_marginTop="4sp" >

            <Button
                android:id="@+id/btn_stk_prev_date"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_weight="2.0"
                android:background="@drawable/keypad_gray5"
                android:text="暢銷"
                android:textColor="#ffffff"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/text_stk_duration"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_marginLeft="1sp"
                android:layout_marginRight="1sp"
                android:layout_weight="1.0"
                android:gravity="left|center"
                android:text="20121001~20121031"
                android:textColor="@drawable/black"
                android:textSize="16sp" />

            <Button
                android:id="@+id/btn_stk_next_date"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_weight="2.0"
                android:background="@drawable/keypad_gray5"
                android:text="滯銷"
                android:textColor="#ffffff"
                android:textSize="14sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_stk_tops"
            android:layout_width="fill_parent"
            android:layout_height="36sp"
            android:layout_below="@+id/layout_stk_search"
            android:layout_marginBottom="4sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="2sp"
            android:layout_marginTop="4sp"
            android:orientation="horizontal" >

            <HorizontalScrollView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" >

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_stk_top1"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="3sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/keypad_yellow"
                        android:text=" 主貨明細 "
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_stk_top2"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="3sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/keypad_green"
                        android:text=" 門市分布 "
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_stk_top3"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="3sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/keypad_green"
                        android:text=" 類別分布"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_stk_top4"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="3sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/keypad_green"
                        android:text=" 廠商分布"
                        android:textSize="18sp" />

                    </LinearLayout>
            </HorizontalScrollView>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_stk_top"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/layout_stk_tops"
            android:layout_marginBottom="0sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="4sp"
            android:layout_marginTop="0sp"
            android:background="@drawable/keypad_red"
            android:orientation="vertical"
            android:visibility="gone" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layout_tops"
                android:layout_margin="3sp"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/text_stk_t10"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:gravity="left"
            		android:singleLine="true"
                    android:layout_weight="1.0"
                    android:text="T:0"
                    android:textColor="#000000"
                    android:textSize="16sp" >
                </TextView>

                <TextView
                    android:id="@+id/text_stk_r10"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:gravity="right"
                    android:layout_weight="1.0"
            		android:singleLine="true"
                    android:text=""
                    android:textColor="#000000"
                    android:textSize="16sp" >
                </TextView>
            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layout_stk_tops"
                android:layout_margin="3sp"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/text_stk_t30"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:gravity="left"
                    android:layout_weight="1.0"
            		android:singleLine="true"
                    android:text="T:23622"
                    android:textColor="#000000"
                    android:textSize="16sp" >
                </TextView>

                <TextView
                    android:id="@+id/text_stk_r30"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:gravity="right"
                    android:layout_weight="1.0"
            		android:singleLine="true"
                    android:text="12651.0"
                    android:textColor="#000000"
                    android:textSize="16sp" >
                </TextView>
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_stk_bottom"
            android:layout_width="fill_parent"
            android:layout_height="300dp"
            android:layout_above="@+id/layout_stk_bottom1"
            android:layout_margin="3sp"
            android:layout_weight="1.0"
            android:gravity="bottom" >

            <HorizontalScrollView
                android:id="@+id/HorizontalScrollView01"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="5sp" >

                <ScrollView
                    android:id="@+id/ScrollView01"
                    android:layout_width="wrap_content"
                    android:layout_height="fill_parent" >

                    <LinearLayout
                        android:id="@+id/root"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical" >
                    </LinearLayout>
                </ScrollView>
            </HorizontalScrollView>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_stk_bottom1"
            android:layout_width="fill_parent"
            android:layout_height="36sp"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="4sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="4sp" >

            <Button
                android:id="@+id/btn_stk_btn0"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="2sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="配貨表"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_stk_btn1"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="2sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="開始配貨"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_stk_btn2"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="2sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_red"
                android:text="配貨歸零"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_stk_btn4"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="2sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue"
                android:text="更新"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_stk_exit"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="2sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_pink"
                android:text="離開"
                android:textSize="14sp" />
        </LinearLayout>

        <ExpandableListView
            android:id="@+id/list_item_stk_expand1"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_above="@+id/layout_stk_bottom"
            android:layout_below="@+id/layout_stk_top"
            android:layout_marginBottom="3sp"
            android:layout_marginLeft="5sp"
            android:layout_marginRight="5sp"
            android:cacheColorHint="#00000000"
            android:dividerHeight="2px"
            android:fastScrollEnabled="true"
            android:visibility="gone"  >
        </ExpandableListView>
        
        <ExpandableListView
            android:id="@+id/list_item_stk_expand"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_above="@+id/layout_stk_bottom"
            android:layout_below="@+id/layout_stk_top"
            android:layout_marginBottom="3sp"
            android:layout_marginLeft="5sp"
            android:layout_marginRight="5sp"
            android:cacheColorHint="#00000000"
            android:dividerHeight="2px"
            android:fastScrollEnabled="true" >
        </ExpandableListView>
    </RelativeLayout>

</LinearLayout>